iterator_ Class Reference
Inheritance diagram for iterator_:
[legend]

## Public Types

typedef const_pointer_ | const_pointer
typedef const_reference_ | const_reference
typedef _Alloc::difference_type | difference_type
typedef std::forward_iterator_tag | iterator_category
typedef pointer_ | pointer
typedef reference_ | reference
typedef value_type_ | value_type

## Public Member Functions

| iterator_ ()
| operator const point_iterator_ () const
| operator point_iterator_ ()
bool | operator!= (const point_iterator_ &other) const
bool | operator!= (const point_const_iterator_ &other) const
reference | operator* () const
iterator_ & | operator++ ()
iterator_ | operator++ (int)
pointer | operator-> () const
bool | operator== (const point_iterator_ &other) const
bool | operator== (const point_const_iterator_ &other) const

## Protected Types

typedef const_iterator_ | base_type

## Protected Member Functions

| iterator_ (pointer p_value, PB_DS_GEN_POS pos, PB_DS_CLASS_C_DEC *p_tbl)

## Protected Attributes

const PB_DS_CLASS_C_DEC * | m_p_tbl
const_pointer | m_p_value
PB_DS_GEN_POS | m_pos

## Friends

class | PB_DS_CLASS_C_DEC

## Detailed Description

Range-type iterator.

Definition at line 43 of file iterator.hpp.

## Member Typedef Documentation

typedef const_pointer_ iterator_::const_pointer

Iterator's const pointer type.

Definition at line 60 of file iterator.hpp.

typedef const_reference_ iterator_::const_reference

Iterator's const reference type.

Definition at line 66 of file iterator.hpp.

typedef _Alloc::difference_type iterator_::difference_type

Difference type.

Definition at line 51 of file iterator.hpp.

typedef std::forward_iterator_tag iterator_::iterator_category

Category.

Definition at line 48 of file iterator.hpp.

typedef pointer_ iterator_::pointer

Iterator's pointer type.

Definition at line 57 of file iterator.hpp.

typedef reference_ iterator_::reference

Iterator's reference type.

Definition at line 63 of file iterator.hpp.

typedef value_type_ iterator_::value_type

Iterator's value type.

Definition at line 54 of file iterator.hpp.

## Constructor & Destructor Documentation

iterator_::iterator_ | ( |  | ) |

inline

Default constructor.

Definition at line 70 of file iterator.hpp.

iterator_::iterator_ | ( | pointer | p_value,
|  | PB_DS_GEN_POS | pos,
|  | PB_DS_CLASS_C_DEC * | p_tbl
| ) |  |

inlineprotected

Constructor used by the table to initiate the generalized pointer and position (e.g., this is called from within a find() of a table.

Definition at line 125 of file iterator.hpp.

## Member Function Documentation

iterator_::operator const point_iterator_ | ( |  | ) | const

inline

Conversion to a point-type iterator.

Definition at line 80 of file iterator.hpp.

iterator_::operator point_iterator_ | ( |  | ) |

inline

Conversion to a point-type iterator.

Definition at line 75 of file iterator.hpp.

bool point_const_iterator_::operator!= | ( | const point_iterator_ & | other | ) | const

inlineinherited

Compares content (negatively) to a different iterator object.

Definition at line 118 of file unordered_iterator/point_const_iterator.hpp.

bool point_const_iterator_::operator!= | ( | const point_const_iterator_ & | other | ) | const

inlineinherited

Compares content (negatively) to a different iterator object.

Definition at line 123 of file unordered_iterator/point_const_iterator.hpp.

reference iterator_::operator* | ( |  | ) | const

inline

Access.

Definition at line 93 of file iterator.hpp.

iterator_& iterator_::operator++ | ( |  | ) |

inline

Increments.

Definition at line 101 of file iterator.hpp.

References const_iterator_::m_p_tbl.

iterator_ iterator_::operator++ | ( | int |  | ) |

inline

Increments.

Definition at line 109 of file iterator.hpp.

References const_iterator_::m_p_tbl.

pointer iterator_::operator-> | ( |  | ) | const

inline

Access.

Definition at line 85 of file iterator.hpp.

bool point_const_iterator_::operator== | ( | const point_iterator_ & | other | ) | const

inlineinherited

Compares content to a different iterator object.

Definition at line 108 of file unordered_iterator/point_const_iterator.hpp.

bool point_const_iterator_::operator== | ( | const point_const_iterator_ & | other | ) | const

inlineinherited

Compares content to a different iterator object.

Definition at line 113 of file unordered_iterator/point_const_iterator.hpp.

## Member Data Documentation

const PB_DS_CLASS_C_DEC* const_iterator_::m_p_tbl

protectedinherited

Pointer to the table object which created the iterator (used for incrementing its position.

Definition at line 106 of file unordered_iterator/const_iterator.hpp.

Referenced by const_iterator_::operator++(), and operator++().

The documentation for this class was generated from the following file:

- iterator.hpp